Bug 118295 - Xnest crashing with "BadMatch (invalid parameter attributes)"
Xnest crashing with "BadMatch (invalid parameter attributes)"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: Triaged
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2004-03-15 02:28 EST by Telsa Gwynne
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-15 07:34:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Telsa Gwynne 2004-03-15 02:28:31 EST
Xnest on Fedora Core 1 (all up to date) crashes when left running.
I am using "Xnest -query Other.IP.Address :1" where the other
machine has GDM throwing up a login prompt for me. The
other machine is running the latest Fedora test bits and has
pretty default settings. 

Several times Xnest has crashed now when I leave it unattended.
I suspect (inevitably) the screensavers :)  Currently I have them
set (on the machine I am querying) to start very quickly and 
to cycle very quickly randomly (a minute for each).

If there is any other message beforehand, I don't see it. Scrollback
is filled with "unhandled event" and ends:
xnest warning: unhandled event
xnest warning: unhandled event
xnest warning: unhandled event
X Error of failed request:  BadMatch (invalid parameter attributes)
  Major opcode of failed request:  73 (X_GetImage)
  Serial number of failed request:  8214081
  Current serial number in output stream:  8214081

Xnest is from XFree86-Xnest-4.3.0-55

Steps to Reproduce:

I suspect there is a step 0: "use my hardware".

1. On box B, go to GDM settings and allow remote logins.
2. On box A, Xnest -query BoxB.IP.Address.Here :1
3. Log into box and Gnome via GDM
4. Enable screensaver, random
5. Leave running doing nothing
  
Additional info:

lspci says
01:00.0 VGA compatible controller: Trident Microsystems CyberBlade/i1
(rev 6a)

And I am using the trident driver for it.
Comment 1 Mike A. Harris 2004-03-24 13:47:12 EST
Can you trace this issue down to a specific screensaver or application
that causes Xnest to crash?
Comment 2 Mike A. Harris 2004-03-24 13:48:49 EST
Oh, forgot to mention, your hardware probably isn't to blame for this
one Telsa.  ;o)

A rare occasion, but a reasonably safe bet this time I believe.  ;o)

Probably just a generic Xnest bug somewhere.
Comment 5 Mike A. Harris 2005-03-15 07:34:11 EST
Xnest has gotten a number of bug fixes in 6.8.2, and another patch
is in current FC4 rawhide, and in the fc3-testing release about
to be released.

If the problem persists in 6.8.2-10 or later, please reopen.


Note You need to log in before you can comment on or make changes to this bug.